import request from '@/utils/request'

// api/v1/ot-ifram?appId={app_id}&pageTag={page_tag}
export function listIframeUrl(query) {
  return request({
    url: '/api/v1/ot-ifram',
    method: 'get',
    params: query
  })
}

export function addIframeUrl(data) {
  return request({
    url: '/api/v1/ot-ifram',
    method: 'post',
    data: data
  })
}
export function getIframeUrl(id) {
  return request({
    url: '/api/v1/ot-ifram/' + id,
    method: 'get'
  })
}

export function updateIframeUrl(data, id) {
  return request({
    url: '/api/v1/ot-ifram/' + id,
    method: 'put',
    data: data
  })
}

//获取所有iframe /api/v1/ot-ifram?pageIndex=0&pageSize=10
export function listAllIframeUrl(query) {
  return request({
    url: '/api/v1/ot-ifram',
    method: 'get',
    params: query
  })
}